
.. _pygments_definition:

=======================
pygments definition
=======================



Definition
===========

.. seealso::

   - http://pygments.org/

It is a generic syntax highlighter suitable for use in code hosting, forums,
wikis or other applications that need to prettify source code. Highlights are:

a wide range of over 300 languages and other text formats is supported
special attention is paid to details that increase highlighting quality
support for new languages and formats are added easily;

most languages use a simple regex-based lexing mechanism a number of output
formats is available, among them HTML, RTF, LaTeX and ANSI sequences
it is usable as a command-line tool and as a library
and it highlights even Perl 6 !
